Price Books
Price book management
Get all price books
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Query Parameters
isActivebooleanisStandardbooleancurrencystringCreate a new price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Request Body
application/jsonRequirednameRequiredstringPrice book name
descriptionstringDescription
currencystringCurrency code
"USD"isStandardbooleanIs this the standard price book
validFromstringValid from date
validTostringValid to date
Get the standard price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Get price book statistics
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Get a price book by ID
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringUpdate a price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Request Body
application/jsonRequirednamestringPrice book name
descriptionstringDescription
currencystringCurrency code
isActivebooleanIs active
validFromstringValid from date
validTostringValid to date
Path Parameters
idRequiredstringDelete a price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringClone a price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringGet all entries in a price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringAdd a product entry to price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Request Body
application/jsonRequiredproductIdRequiredstringProduct ID
listPriceRequirednumberList price
unitPricenumberUnit price override
minQuantitynumberMinimum quantity
1discountTiersarray<string>Discount tiers array
Path Parameters
idRequiredstringAdd multiple product entries to price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringUpdate a price book entry
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Request Body
application/jsonRequiredlistPricenumberList price
unitPricenumberUnit price override
minQuantitynumberMinimum quantity
discountTiersarray<string>Discount tiers array
isActivebooleanIs active
Path Parameters
idRequiredstringentryIdRequiredstringRemove a price book entry
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringentryIdRequiredstringGet product price from price book
Authorization
AuthorizationRequiredBearer <token>Enter your JWT token
In: header
Path Parameters
idRequiredstringproductIdRequiredstringQuery Parameters
quantitynumber